// -------------------------------------------------------------------------------------------------
// xsContenedorFijo.hpp
// -------------------------------------------------------------------------------------------------

// Se incluye la libreria
#include "xsEasyCpp.hpp"

#ifndef __xsContenedorFluido_hpp__
#define __xsContenedorFluido_hpp__

Clase xsContenedorFluido : Publica xsObjeto
{
	Publica:

	    xsContenedorFluido();

		Vacio crear(xsOrientacion orientacion, 
		            Entero        espaciamiento);

	    xsContenedorFluido(xsOrientacion orientacion, 
		                   Entero        espaciamiento);
		
        Vacio insertarEnEl(xsObjetoGUI* objetoInsertar);

        Vacio insertarAlInicio(xsObjetoGUI* objetoInsertar, 
							   Logico       expander, 
							   Logico       llenar, 
							   Entero       relleno);
        
        Vacio insertarAlFinal(xsObjetoGUI* objetoInsertar, 
							  Logico       expander, 
							  Logico       llenar, 
							  Entero       relleno);

        Vacio colocarBorde(Entero borde);

		Vacio establecerHomogeneo(Logico homogeneo);
};

// Fin de la Definición del Archivo
#endif
